Bug 974018 - [RHS-C] "Error: Upgrade failed" while running rhsc-upgrade
[RHS-C] "Error: Upgrade failed" while running rhsc-upgrade
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc (Show other bugs)
2.1
x86_64 Linux
medium Severity high
: ---
: RHGS 2.1.2
Assigned To: Darshan
Prasanth
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 05:57 EDT by Prasanth
Modified: 2015-05-13 12:27 EDT (History)
12 users (show)

See Also:
Fixed In Version: CB4
Doc Type: Bug Fix
Doc Text:
Previously, an error was displayed while running the rhsc-upgrade command. Now, with this update, the rhsc-upgrade command is obsoleted by rhsc-setup command and the rhsc-setup command performs the upgrade task also. Users with older version of Red Hat Storage Console must update the package to get the new packages of rhsc-setup.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-25 02:31:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasanth 2013-06-13 05:57:00 EDT
Description of problem:

Following error is seen while running rhsc-upgrade

--------------------

[root@qa-vm13 /]# rhsc-upgrade 
Error: Upgrade failed.
please check log at /var/log/ovirt-engine/ovirt-engine-upgrade_2013_06_13_15_24_43.log


[root@qa-vm13 /]# cat /var/log/ovirt-engine/ovirt-engine-upgrade_2013_06_13_15_24_43.log
2013-06-13 15:24:43::DEBUG::common_utils::827::root:: found existing pgpass file /etc/ovirt-engine/.pgpass, fetching DB host value
2013-06-13 15:24:43::DEBUG::common_utils::827::root:: found existing pgpass file /etc/ovirt-engine/.pgpass, fetching DB port value
2013-06-13 15:24:43::DEBUG::common_utils::827::root:: found existing pgpass file /etc/ovirt-engine/.pgpass, fetching DB user value
2013-06-13 15:24:43::DEBUG::common_utils::347::root:: YUM: VERB: Loaded plugins: product-id, rhnplugin, versionlock
2013-06-13 15:24:46::DEBUG::common_utils::347::root:: YUM: VERB: This system is receiving updates from RHN Classic or RHN Satellite.
2013-06-13 15:24:46::DEBUG::common_utils::347::root:: YUM: VERB: Repository JBOSS6.1.0 is listed more than once in the configuration
2013-06-13 15:24:46::DEBUG::common_utils::347::root:: YUM: VERB: Repository JBEAP-6_6.0.1 is listed more than once in the configuration
2013-06-13 15:24:46::DEBUG::common_utils::347::root:: YUM: VERB: Repository rhel-source is listed more than once in the configuration
2013-06-13 15:24:46::DEBUG::common_utils::347::root:: YUM: VERB: Repository rhel-source-beta is listed more than once in the configuration
2013-06-13 15:24:46::INFO::rhsc-upgrade::1283::root:: Info: /etc/ovirt-engine/.pgpass file found. Continue.
2013-06-13 15:24:46::DEBUG::common_utils::456::root:: Executing command --> '/bin/rpm -q rhevm' in working directory '/'
2013-06-13 15:24:46::DEBUG::common_utils::494::root:: output = package rhevm is not installed

2013-06-13 15:24:46::DEBUG::common_utils::495::root:: stderr = 
2013-06-13 15:24:46::DEBUG::common_utils::496::root:: retcode = 1
2013-06-13 15:24:46::ERROR::rhsc-upgrade::1523::root:: Traceback (most recent call last):
  File "/usr/bin/rhsc-upgrade", line 1516, in <module>
    main(options)
  File "/usr/bin/rhsc-upgrade", line 1286, in main
    if isUpdateFrom30():
  File "/usr/bin/rhsc-upgrade", line 937, in isUpdateFrom30
    msg=output_messages.ERR_READ_RPM_VER % "rhevm",
  File "/usr/share/ovirt-engine/scripts/common_utils.py", line 499, in execCmd
    raise Exception(msg)
Exception: Error reading version number for package rhevm
--------------------

Version-Release number of selected component (if applicable):  Red Hat Storage Console Version: 2.1.0-0.bb3.el6rhs 


How reproducible: Always


Steps to Reproduce:
1. Execute rhsc-upgrade from the engine
2.
3.

Actual results: rhsc-upgrade is failing as it's actually trying to check the rhevm version and not rhsc


Expected results: rhsc-upgrade should work as expected


Additional info:
Comment 3 Dusmant 2013-08-12 11:32:24 EDT
Triage : change the error msg
Comment 5 Scott Haines 2013-09-23 19:34:57 EDT
Targeting for 2.1.z U2 (Corbett) release.
Comment 6 Darshan 2013-10-08 01:28:52 EDT
This issue is fixed in the build CB3. The package for rhsc-upgrade is obsoleted by rhsc-setup in this version, rhsc-setup takes care of upgrade.

Fix:
  Add the repo for CB3, run yum update. This will get new packages for rhsc-setup where the issue is fixed. Now rhsc-setup will take care of upgrade.
Comment 7 Prasanth 2013-10-08 04:43:42 EDT
(In reply to Darshan from comment #6)
> This issue is fixed in the build CB3. The package for rhsc-upgrade is
> obsoleted by rhsc-setup in this version, rhsc-setup takes care of upgrade.
> 
> Fix:
>   Add the repo for CB3, run yum update. This will get new packages for
> rhsc-setup where the issue is fixed. Now rhsc-setup will take care of
> upgrade.


Could you provide the link for the CB3 repo so that I can go ahead and verify this bug?
Comment 8 Darshan 2013-10-09 00:24:59 EDT
(In reply to Prasanth from comment #7)
> (In reply to Darshan from comment #6)
> > This issue is fixed in the build CB3. The package for rhsc-upgrade is
> > obsoleted by rhsc-setup in this version, rhsc-setup takes care of upgrade.
> > 
> > Fix:
> >   Add the repo for CB3, run yum update. This will get new packages for
> > rhsc-setup where the issue is fixed. Now rhsc-setup will take care of
> > upgrade.
> 
> 
> Could you provide the link for the CB3 repo so that I can go ahead and
> verify this bug?

http://jenkins.lab.eng.blr.redhat.com/rhsc/corbett-builds/cb3/
Comment 9 Kanagaraj 2013-10-09 00:35:31 EDT
Fix for this one did not make into CB3
Comment 10 Darshan 2013-10-16 07:15:09 EDT
This issue is fixed in the build CB4. The package for rhsc-upgrade is obsoleted by rhsc-setup in this version, rhsc-setup takes care of upgrade.

Fix:
  Add repo for CB4 and run yum update. This will get new packages for rhsc-setup where the issue is fixed. Now rhsc-setup will take care of upgrade.
Comment 11 Prasanth 2013-10-17 08:43:03 EDT
Verified as fixed in CB4. Now rhsc-setup upgrades the engine successfully.

--------------------------
[root@vm08 ]# rhsc-setup
[ INFO  ] Stage: Initializing
[ INFO  ] Stage: Environment setup
          Configuration files: ['/etc/ovirt-engine-setup.conf.d/10-packaging.conf', '/etc/ovirt-engine-setup.conf.d/20-setup-ovirt-post.conf']
          Log file: /var/log/ovirt-engine/setup/ovirt-engine-setup-20131017181144.log
          Version: otopi-1.1.2 (otopi-1.1.2-1.el6ev)
[ INFO  ] Stage: Environment packages setup
[ INFO  ] Stage: Programs detection
[ INFO  ] Stage: Environment setup
[ INFO  ] Stage: Environment customization
         
          --== PACKAGES ==--
         
[ INFO  ] Checking for product updates...
          Setup has found updates for some packages, do you wish to update them now? (Yes, No) [Yes]: 
[ INFO  ] Checking for an update for Setup...
          Setup will not be able to rollback new packages in case of a failure, because installed ones were not found in enabled repositories.
          Do you want to abort Setup? (Yes, No) [Yes]: No
         
          --== NETWORK CONFIGURATION ==--
         
         
          --== DATABASE CONFIGURATION ==--
         
          Using existing credentials
         
          --== OVIRT ENGINE CONFIGURATION ==--
         
          Skipping storing options as database already prepared
         
          --== PKI CONFIGURATION ==--
         
          PKI is already configured
         
          --== APACHE CONFIGURATION ==--
         
         
          --== SYSTEM CONFIGURATION ==--
         
[ INFO  ] NFS configuration skipped with application mode Gluster
         
          --== END OF CONFIGURATION ==--
         
[ INFO  ] Stage: Setup validation
[WARNING] Less than 16384MB of memory is available
[ INFO  ] Cleaning stale zombie tasks
         
          --== CONFIGURATION PREVIEW ==--
         
          Database name                      : engine
          Database secured connection        : False
          Database host                      : localhost
          Database user name                 : engine
          Database host name validation      : False
          Datbase port                       : 5432
          NFS setup                          : False
          Application mode                   : gluster
          Firewall manager                   : iptables
          Host FQDN                          : vm08.lab.eng.blr.redhat.com
          Set application as default page    : True
          Configure Apache SSL               : True
          Require packages rollback          : False
          Upgrade packages                   : True
         
          Please confirm installation settings (OK, Cancel) [OK]: 
[ INFO  ] Cleaning async tasks and compensations
[ INFO  ] Checking the DB consistency
[ INFO  ] Stage: Transaction setup
[ INFO  ] Stopping engine service
[ INFO  ] Stage: Misc configuration
[ INFO  ] Fixing DB inconsistencies
[ INFO  ] Stage: Package installation
[ INFO  ] Yum Status: Downloading Packages
[ INFO  ] Yum Download/Verify: rhsc-dbscripts-2.1.2-0.0.scratch.beta1.el6_4.noarch
[ INFO  ] Yum Download/Verify: rhsc-restapi-2.1.2-0.0.scratch.beta1.el6_4.noarch
[ INFO  ] Yum Download/Verify: rhsc-tools-2.1.2-0.0.scratch.beta1.el6_4.noarch
[ INFO  ] Yum Download/Verify: rhsc-backend-2.1.2-0.0.scratch.beta1.el6_4.noarch
[ INFO  ] Yum Download/Verify: rhsc-2.1.2-0.0.scratch.beta1.el6_4.noarch
[ INFO  ] Yum Download/Verify: rhsc-webadmin-portal-2.1.2-0.0.scratch.beta1.el6_4.noarch
[ INFO  ] Yum Download/Verify: rhsc-2.1.2-0.0.scratch.beta1.el6_4.noarch
[ INFO  ] Yum Download/Verify: rhsc-backend-2.1.2-0.0.scratch.beta1.el6_4.noarch
[ INFO  ] Yum Download/Verify: rhsc-dbscripts-2.1.2-0.0.scratch.beta1.el6_4.noarch
[ INFO  ] Yum Download/Verify: rhsc-restapi-2.1.2-0.0.scratch.beta1.el6_4.noarch
[ INFO  ] Yum Download/Verify: rhsc-tools-2.1.2-0.0.scratch.beta1.el6_4.noarch
[ INFO  ] Yum Download/Verify: rhsc-webadmin-portal-2.1.2-0.0.scratch.beta1.el6_4.noarch
[ INFO  ] Yum Status: Check Package Signatures
[ INFO  ] Yum Status: Running Test Transaction
[ INFO  ] Yum Status: Running Transaction
[ INFO  ] Yum update: 1/12: rhsc-restapi-2.1.2-0.0.scratch.beta1.el6_4.noarch
[ INFO  ] Yum update: 2/12: rhsc-tools-2.1.2-0.0.scratch.beta1.el6_4.noarch
[ INFO  ] Yum update: 3/12: rhsc-backend-2.1.2-0.0.scratch.beta1.el6_4.noarch
[ INFO  ] Yum update: 4/12: rhsc-webadmin-portal-2.1.2-0.0.scratch.beta1.el6_4.noarch
[ INFO  ] Yum update: 5/12: rhsc-2.1.2-0.0.scratch.beta1.el6_4.noarch
[ INFO  ] Yum update: 6/12: rhsc-dbscripts-2.1.2-0.0.scratch.beta1.el6_4.noarch
[ INFO  ] Yum updated: 7/12: rhsc-backend
[ INFO  ] Yum updated: 8/12: rhsc-restapi
[ INFO  ] Yum updated: 9/12: rhsc-tools
[ INFO  ] Yum updated: 10/12: rhsc-webadmin-portal
[ INFO  ] Yum updated: 11/12: rhsc
[ INFO  ] Yum updated: 12/12: rhsc-dbscripts
[ INFO  ] Yum Verify: 1/12: rhsc-dbscripts.noarch 0:2.1.2-0.0.scratch.beta1.el6_4 - u
[ INFO  ] Yum Verify: 2/12: rhsc-restapi.noarch 0:2.1.2-0.0.scratch.beta1.el6_4 - u
[ INFO  ] Yum Verify: 3/12: rhsc-tools.noarch 0:2.1.2-0.0.scratch.beta1.el6_4 - u
[ INFO  ] Yum Verify: 4/12: rhsc-backend.noarch 0:2.1.2-0.0.scratch.beta1.el6_4 - u
[ INFO  ] Yum Verify: 5/12: rhsc.noarch 0:2.1.2-0.0.scratch.beta1.el6_4 - u
[ INFO  ] Yum Verify: 6/12: rhsc-webadmin-portal.noarch 0:2.1.2-0.0.scratch.beta1.el6_4 - u
[ INFO  ] Yum Verify: 7/12: rhsc-backend.noarch 0:2.1.1-0.0.3.master.el6ev - ud
[ INFO  ] Yum Verify: 8/12: rhsc.noarch 0:2.1.1-0.0.3.master.el6ev - ud
[ INFO  ] Yum Verify: 9/12: rhsc-dbscripts.noarch 0:2.1.1-0.0.3.master.el6ev - ud
[ INFO  ] Yum Verify: 10/12: rhsc-webadmin-portal.noarch 0:2.1.1-0.0.3.master.el6ev - ud
[ INFO  ] Yum Verify: 11/12: rhsc-restapi.noarch 0:2.1.1-0.0.3.master.el6ev - ud
[ INFO  ] Yum Verify: 12/12: rhsc-tools.noarch 0:2.1.1-0.0.3.master.el6ev - ud
[ INFO  ] Stage: Misc configuration
[ INFO  ] Backing up database to '/var/lib/ovirt-engine/backups/engine-20131017181310.H5zfwZ.sql'.
[ INFO  ] Updating database schema
[ INFO  ] Generating post install configuration file '/etc/ovirt-engine-setup.conf.d/20-setup-ovirt-post.conf'
[ INFO  ] Stage: Transaction commit
[ INFO  ] Stage: Closing up
         
          --== SUMMARY ==--
         
[WARNING] Less than 16384MB of memory is available
          SSH fingerprint: CA:0C:C1:1A:F8:44:AC:84:D3:6C:C2:06:57:0B:5F:BB
          Internal CA BE:C5:0A:FD:AA:91:FD:26:23:63:A0:DC:BB:62:C0:AB:21:CB:A9:7A
          Web access is enabled at:
              http://vm08.lab.eng.blr.redhat.com:80/ovirt-engine
              https://vm08.lab.eng.blr.redhat.com:443/ovirt-engine
         
          --== END OF SUMMARY ==--
         
[ INFO  ] Starting engine service
[ INFO  ] Restarting httpd
[ INFO  ] Generating answer file '/var/lib/ovirt-engine/setup/answers/20131017181406-upgrade.conf'
[ INFO  ] Stage: Clean up
          Log file is located at /var/log/ovirt-engine/setup/ovirt-engine-setup-20131017181144.log
[ INFO  ] Stage: Pre-termination
[ INFO  ] Stage: Termination
[ INFO  ] Execution of upgrade completed successfully
--------------------------
Comment 12 Shalaka 2014-01-06 05:15:14 EST
Please review the edited DocText and signoff.
Comment 14 errata-xmlrpc 2014-02-25 02:31:05 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2014-0208.html

Note You need to log in before you can comment on or make changes to this bug.